Skip to main content
PATCH
/
org
/
{org}
/
gvc
/
{gvc}
/
volumeset
/
{name}
Perform a Patch on a volumeset by name
curl --request PATCH \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/volumeset/{name} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "$drop": [],
  "name": "<string>",
  "description": "<string>",
  "tags": {},
  "$replace/tags": {},
  "spec": {
    "$drop": [],
    "initialCapacity": 123,
    "storageClassSuffix": "<string>",
    "fileSystemType": "ext4",
    "customEncryption": {
      "$drop": [],
      "regions": {},
      "$replace/regions": {}
    },
    "$replace/customEncryption": {
      "regions": {}
    },
    "snapshots": {
      "$drop": [],
      "createFinalSnapshot": true,
      "retentionDuration": "<string>",
      "schedule": "<string>"
    },
    "$replace/snapshots": {
      "createFinalSnapshot": true,
      "retentionDuration": "<string>",
      "schedule": "<string>"
    },
    "autoscaling": {
      "$drop": [],
      "maxCapacity": 123,
      "minFreePercentage": 123,
      "scalingFactor": 123,
      "predictive": {
        "$drop": [],
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      },
      "$replace/predictive": {
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      }
    },
    "$replace/autoscaling": {
      "maxCapacity": 123,
      "minFreePercentage": 123,
      "scalingFactor": 123,
      "predictive": {
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      }
    },
    "mountOptions": {
      "$drop": [],
      "resources": {
        "$drop": [],
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      },
      "$replace/resources": {
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      }
    },
    "$replace/mountOptions": {
      "resources": {
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      }
    }
  },
  "$replace/spec": {
    "initialCapacity": 123,
    "storageClassSuffix": "<string>",
    "fileSystemType": "ext4",
    "customEncryption": {
      "regions": {}
    },
    "snapshots": {
      "createFinalSnapshot": true,
      "retentionDuration": "<string>",
      "schedule": "<string>"
    },
    "autoscaling": {
      "maxCapacity": 123,
      "minFreePercentage": 123,
      "scalingFactor": 123,
      "predictive": {
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      }
    },
    "mountOptions": {
      "resources": {
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      }
    }
  },
  "gvc": {},
  "$replace/gvc": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "spec": {
    "initialCapacity": 123,
    "storageClassSuffix": "<string>",
    "fileSystemType": "ext4",
    "customEncryption": {
      "regions": {}
    },
    "snapshots": {
      "createFinalSnapshot": true,
      "retentionDuration": "<string>",
      "schedule": "<string>"
    },
    "autoscaling": {
      "maxCapacity": 123,
      "minFreePercentage": 123,
      "scalingFactor": 123,
      "predictive": {
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      }
    },
    "mountOptions": {
      "resources": {
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      }
    }
  },
  "status": {
    "parentId": "<string>",
    "usedByWorkload": "<string>",
    "workloadLinks": [
      "<string>"
    ],
    "bindingId": "<string>",
    "locations": [
      {
        "name": "<string>",
        "volumes": [
          {
            "lifecycle": "creating",
            "storageDeviceId": "<string>",
            "oldStorageDeviceIds": [
              "<string>"
            ],
            "resourceName": "<string>",
            "index": 123,
            "currentSize": 123,
            "currentBytesUsed": 123,
            "iops": 123,
            "throughput": 123,
            "driver": "<string>",
            "volumeSnapshots": [
              {
                "name": "<string>",
                "id": "<string>",
                "created": "2023-11-07T05:31:56Z",
                "expires": "2023-11-07T05:31:56Z",
                "size": 123,
                "tags": [
                  {}
                ]
              }
            ],
            "attributes": {},
            "zone": "<string>"
          }
        ],
        "desiredVolumeCount": 123,
        "clusterId": "<string>"
      }
    ]
  },
  "gvc": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required
name
string
required

Body

application/json
$drop
enum<string>[]
Available options:
description,
tags,
spec,
gvc
name
string
Maximum string length: 64
description
string
Maximum string length: 250
tags
object
$replace/tags
object
spec
object
$replace/spec
object
gvc
object
$replace/gvc
object

Response

Success

id
string
read-only
name
string
Maximum string length: 64
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
spec
object
status
object
read-only
gvc
object